﻿using Infragistics.Win;
using Infragistics.Win.UltraWinMaskedEdit;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WindowsFormsApplication26
{
    public class MaskedEditDrawFilter : IUIElementDrawFilter
    {
        public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            drawParams.DrawString(drawParams.ElementDrawingClipRect, "0", false, false);

            return true;
        }

        public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            var displayCharUIElement = drawParams.Element as DisplayCharUIElement;
            if (null != displayCharUIElement)
            {
                if (displayCharUIElement.DisplayChar.Char == Form1.replacementChar)
                {
                    return DrawPhase.BeforeDrawForeground;
                }
            }            

            return DrawPhase.None;
        }
    }
}
